<?php
session_start();				//初始化session变量
require("config.php");			//连接smarty模板
$id=$_GET["id"];				//获取要删除商品的ID
$arrayid=explode("@",$_SESSION["goodsid"]);		//将购物车中存储的商品ID的字符串转换到数组中
$arraynum=explode("@",$_SESSION["goodsnum"]);	//将购物车中存储的商品数量的字符串转换到数组中
$key=array_search($id,$arrayid);				//获取到数组中指定的数据，并返回键名
$arrayid[$key]="";								//根据返回的键名，将数组中的数据赋值为空
$arraynum[$key]="";								//根据返回的键名，将数组中的数据赋值为空
$_SESSION["goodsid"]=implode("@",$arrayid);		//重新将数组中的数据添加到购物车中
$_SESSION["goodsnum"]=implode("@",$arraynum);	//重新将数组中的数据添加到购物车中
echo "<script>window.location.href='shopping_car.php';</script>";
$smarty->display("shopping_car.tpl");
?>